Subject: [alpine-aports] [PATCH] testing/perl-ipc-signal: new aport

From: Valery Kartel <[email-masked]>
Date: Tue, 17 Nov 2015 14:55:57 +0200

---
 testing/perl-ipc-signal/APKBUILD | 43 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/perl-ipc-signal/APKBUILD

diff --git a/testing/perl-ipc-signal/APKBUILD b/testing/perl-ipc-signal/APKBUILD
new file mode 100644
index 0000000..53b67d8
--- /dev/null
+++ b/testing/perl-ipc-signal/APKBUILD
@@ -0,0 +1,43 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <[email-masked]>
+# Maintainer: Valery Kartel <[email-masked]>
+pkgname=perl-ipc-signal
+_pkgreal=IPC-Signal
+pkgver=1.00
+pkgrel=0
+pkgdesc="Perl module provides utility functions dealing with signals"
+url="http://search.cpan.org/dist/IPC-Signal/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RO/ROSCH/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+	mv "$pkgdir"/usr/share/perl5/vendor_perl/* "$pkgdir"/usr/lib/perl5/vendor_perl
+	rm -fr "$pkgdir"/usr/share/perl5
+}
+
+md5sums="4cebf17fdf1785eaf8c151bf2e8c360a  IPC-Signal-1.00.tar.gz"
+sha256sums="7c21f9c8c2d0c0f0f0f46e77de7c3d879dd562668ddf0525875c38cef2076fd0  IPC-Signal-1.00.tar.gz"
+sha512sums="31ee15a55539546532cb8deb9bd379e0014b526fcd79ac20dc53591391b0fb50b182f6f653837bc230debb1779418316b7ac8e389224ad41a0aa3a380c76f229  IPC-Signal-1.00.tar.gz"
-- 
2.6.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---